> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Llm Api Key For Byor

> Refresh the LLM API key for BYOR (Bring Your Own Runtime).

Returns 402 Payment Required if BYOR export is not enabled for the
request's effective org.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /api/keys/llm/byor/refresh
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/keys/llm/byor/refresh:
    post:
      tags:
        - Keys
      summary: Refresh Llm Api Key For Byor
      description: |-
        Refresh the LLM API key for BYOR (Bring Your Own Runtime).

        Returns 402 Payment Required if BYOR export is not enabled for the
        request's effective org.
      operationId: refresh_llm_api_key_for_byor_api_keys_llm_byor_refresh_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LlmApiKeyResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    LlmApiKeyResponse:
      properties:
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
      type: object
      required:
        - key
      title: LlmApiKeyResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````